Page MenuHomePhabricator

Deploy v1.0 via query string parameter to target wikis
Closed, ResolvedPublic

Description

T243621 introduced a query string parameter that makes it possible to test the parser on live talk pages prior to DiscussionTools being added as a Beta Feature.

This task is about deploying DiscussionTools via said query string parameter to our target wikis.

Target wikis

Open questions

  • What additional complexity is involved with deploying DiscussionTools to select wikis as opposed to deploying them everywhere and only enabling them on select wikis? Explanation: T244870#5872904

Done

  • All "Open questions" above are resolved
  • We are able to enable/disable DiscussionTools on the "Target wikis" listed above, on a per-talk page basis, prior to DiscussionTools being added as a Beta Feature to these wikis.

Related Objects

Event Timeline

ppelberg updated the task description. (Show Details)Feb 11 2020, 3:40 PM

What additional complexity is involved with deploying DiscussionTools to select wikis as opposed to deploying them everywhere and only enabling them on select wikis?

It's easy, it's the same mechanism we used for enabling it only on Beta English Wikipedia right now (instead of all Beta wikis).

JTannerWMF renamed this task from Deploy v1.0 via query string parameter to target wikis to Implement v1.0 via query string parameter to target wikis .Feb 11 2020, 4:23 PM
JTannerWMF renamed this task from Implement v1.0 via query string parameter to target wikis to Deploy v1.0 via query string parameter to target wikis .Feb 11 2020, 4:25 PM
JTannerWMF updated the task description. (Show Details)
JTannerWMF updated the task description. (Show Details)

What additional complexity is involved with deploying DiscussionTools to select wikis as opposed to deploying them everywhere and only enabling them on select wikis?

It's easy, it's the same mechanism we used for enabling it only on Beta English Wikipedia right now (instead of all Beta wikis).

Understood. Thank you for confirming this, Bartosz. I've marked this question as "resolved" in the task description.

ppelberg updated the task description. (Show Details)Feb 11 2020, 11:43 PM

Change 572731 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[operations/mediawiki-config@master] Add DiscussionTools to four wikis in hidden mode

https://gerrit.wikimedia.org/r/572731

Scheduled for tomorrow: https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20200218T1200

It will be possible to test the extension on individual talk pages by adding the query parameter ?dtenable=1 to the URL.

For testing T244432, you can also use ?dtenable=1&dtdebug=1, which will visualize the page structure instead of adding "Reply" links – that should make any issues more obvious.


(old screenshot from T234404#5558369)

Change 572731 merged by jenkins-bot:
[operations/mediawiki-config@master] Add DiscussionTools to four wikis in hidden mode

https://gerrit.wikimedia.org/r/572731

Mentioned in SAL (#wikimedia-operations) [2020-02-18T12:52:42Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:572731|Add DiscussionTools to four wikis in hidden mode (T244870)]] (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2020-02-18T12:53:56Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:572731|Add DiscussionTools to four wikis in hidden mode (T244870)]], take II (duration: 01m 03s)

On nlwiki I'm getting "Reply" links without dtenable=1. And not always in the right place.

Sorry about that… we're debugging the problem right now.

It should be fixed now, the "Reply" links no longer appear without the query parameter.

@Bdijkstra Thank you for reporting it, I wouldn't have noticed the problem otherwise. I checked this immediately after we deployed, but I must have gotten a cached version of the page, and did not realize that.

The problem happened because all Wikipedias are still using the previous version of MediaWiki (wmf.18 instead of wmf.19). wmf.19 was supposed to be deployed on 13 February (https://www.mediawiki.org/wiki/MediaWiki_1.35/Roadmap), but it had to be rolled back (T233867), and I did not realize that happened. Our patch to handle the query parameter (https://gerrit.wikimedia.org/r/c/mediawiki/extensions/DiscussionTools/+/570142) was merged on 5 February, which means it was included in wmf.19 but not wmf.18. We backported it to wmf.18 now (https://gerrit.wikimedia.org/r/c/mediawiki/extensions/DiscussionTools/+/572882).

JTannerWMF added a project: Editing QA.
JTannerWMF moved this task from Inbox to High Priority on the Editing QA board.

Can someone confirm the scope of testing for this task?

So far I have tested the followings on all four target wikis:

  1. Evaluate whether "Reply" links are appearing in the places we expect them to. Will continue testing this for complicated talk pages, but need to find some first. Any suggestions on that will be very helpful.
  1. Evaluate the basic functionality of the workflow itself.

I have one question though, should I check the reply workflow throughly covering different scenarios on all four wikis?

JTannerWMF added a subscriber: JTannerWMF.

Hey @matmarex and(?) @ppelberg, Rummana had a question above about testing scope. Can you please update the description of this ticket with criteria? Specifically should she do thorough workflow testing on all of the target wikis/ all of the namespaces. Should she expect the code to behave differently in different environments?

I am moving this to blocked until for visibility, feel free to put it back in QA once the above is clarified.

Personally I'd say that this task is really just about whether the tool is available, which it clearly is, since you've been doing thorough testing for T244432.

matmarex updated the task description. (Show Details)Feb 21 2020, 5:40 PM
matmarex updated the task description. (Show Details)

Personally I'd say that this task is really just about whether the tool is available, which it clearly is, since you've been doing thorough testing for T244432.

+1. Resolving.

ppelberg closed this task as Resolved.Feb 24 2020, 12:22 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 24 2020, 12:23 AM